Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03289 Graphics Minor Always Jun 28, 2009, 20:02 13 days ago
Tester Haze View Status Public Platform MAME (Self-compiled)
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver m92.cpp
Version 0.132u2 Fixed in Version 0.243 Build
Fixed in Git Commit ba7824c Github Pull Request # #9492
Summary 03289: rtypeleo: The player's ship doesn't flicker correctly when invulnerable
Description this one has bugged me for a while, and I'd really like real PCB confirmation either way.

Basically in R-Type Leo when you start the game, or when you die you're invulnerable for a few seconds.

Right now in MAME your ship will either be shown with a white colour, or the normal colour during this period (it seems random, sometimes when you die you'll appear solid white, other times, normal)

If you appear 'normal' colour, you have no way of knowing how long the invulnerability will last.

I suspect that the ship should flicker between the two colours during this invulnerability, but it doesn't. It might be a timing glitch, or a subtle CPU bug, or even a glitch in the original game. AFAIK it's always been this way in MAME.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems rtypeleo
Attached Files
png file icon 0001.png (9,846 bytes) Jun 29, 2009, 00:20
zip file icon rtype_leo_pcb_20111210164851.zip (5,236,430 bytes) Dec 10, 2011, 16:46 Uploaded by Stefan Lindberg
PCB recording showing the flickering
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.04582
Tafoid
Administrator
Jun 29, 2009, 00:20
Marking as possible. Added screen of behavior.
User avatar
No.07958
Stefan Lindberg
Senior Tester
Dec 10, 2011, 16:46
There is flickering on the sunrise at stage 1 boss also, see the PCB recording i done.
User avatar
No.15884
MetalGod
Senior Tester
Dec 8, 2018, 17:10
Another pcb video here. The flickering is very clear. I guess the "possible" flag could be removed:
User avatar
No.19973
Haze
Senior Tester
Mar 31, 2022, 11:48
edited on: Mar 31, 2022, 12:17
This is caused by
m_palette_bank = (m_videocontrol >> 1) & 1;

of note, there's also a comment about Lethal Thunder RAM test disliking this, although it suggests that might use a different board type.

nbbatman appears to need it, but the hookup is almost certainly wrong.
User avatar
No.19974
Haze
Senior Tester
Mar 31, 2022, 12:08
It looks like only Major Title 2, Ninja Baseball Bat Man, Dream Soccer 94, Gun Force 2 need this logic based on limited testing
these also happen to be the games that have banked ROM, so maybe it is a feature of later boards only, but not in the way the comments suggest.